/*
Copyright 2018 by FaVdB
Modifications ???? by ????

This file is part of oStorybook.

    oStorybook is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    oStorybook is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with oStorybook.  If not, see <http://www.gnu.org/licenses/>.
 */
package storybook.model.book;

import storybook.model.hbn.entity.Part;

/**
 *
 * @author FaVdB
 */
public class BookParamUi extends AbstractParam {

	private int treeviewTrunc;
	private int treeviewChar;
	private Part part;
	private String layout;
	private int bookZoom;
	private int bookHeightFactor;
	private int chronoZoom;
	private String chronoDirection;
	private boolean chronoShowDateDifference;
	private int manageZoom;
	private int manageColumns;
	private boolean manageHideUnassigned;
	private boolean memoriaBalloon;
	private int readingZoom;
	private int readingFontSize;
	private int timelineZoom;
	private boolean memoView;

	public BookParamUi(BookParam param) {
		super(param, "ui");
		init();
	}

	public void setPart(Part x) {
		part = x;
	}

	public Part getPart() {
		return (part);
	}

	public void setLayout(String x) {
		layout = x;
	}

	public String getLayout() {
		return (layout);
	}

	public void setBookZoom(int d) {
		bookZoom = d;
	}

	public int getBookZoom() {
		return bookZoom;
	}

	public void setBookHeightFactor(int d) {
		bookHeightFactor = d;
	}

	public int getBookHeightFactor() {
		return bookHeightFactor;
	}

	public void setChronoDirection(String d) {
		chronoDirection = d;
	}

	public String getChronoDirection() {
		return chronoDirection;
	}

	public void setChronoShowDateDifference(boolean d) {
		chronoShowDateDifference = d;
	}

	public boolean getChronoShowDateDifference() {
		return chronoShowDateDifference;
	}

	public void setChronoZoom(int d) {
		chronoZoom = d;
	}

	public int getChronoZoom() {
		return chronoZoom;
	}

	public void setManageColumns(int d) {
		manageColumns = d;
	}

	public int getManageColumns() {
		return manageColumns;
	}

	public void setManageHideUnassigned(boolean d) {
		manageHideUnassigned = d;
	}

	public boolean getManageHideUnassigned() {
		return manageHideUnassigned;
	}

	public void setManageZoom(int d) {
		manageZoom = d;
	}

	public int getManageZoom() {
		return manageZoom;
	}

	public void setMemoView(boolean d) {
		memoView = d;
	}

	public boolean getMemoView() {
		return memoView;
	}

	public void setMemoriaBallon(boolean d) {
		memoriaBalloon = d;
	}

	public boolean getMemoriaBalloon() {
		return memoriaBalloon;
	}

	public void setReadingFontSize(int d) {
		readingFontSize = d;
	}

	public int getReadingFontSize() {
		return readingFontSize;
	}

	public void setReadingZoom(int d) {
		readingZoom = d;
	}

	public int getReadingZoom() {
		return readingZoom;
	}

	public void setTimelineZoom(int d) {
		timelineZoom = d;
	}

	public int getTimelineZoom() {
		return timelineZoom;
	}

	@Override
	protected void init() {
	}

	@Override
	protected void save() {
	}

}
